Bug 172160 - perl bug # 22372: SIGSEGV in sv_chop()
perl bug # 22372: SIGSEGV in sv_chop()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-10-31 19:54 EST by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-881
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:59:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-10-31 19:54:33 EST
Description of problem:

This legal PERL program causes a SIGSEGV (memory access violation) crash
in all RHEL-3 perl-5.8.0 versions prior to perl-5.8.0-90.1:

--- BEGIN
#!/usr/bin/perl
format STDOUT =
^<<<<<<<<<<<<<<~~
$el
.
%hash = ("k" => "v");
for $el (keys %hash) {
write;
}
--- END

This is upstream perl bug # 22372 
( http://rt.perl.org/rt3/Ticket/Display.html?id=22372 )
that was fixed in the upstream perl-5.8.1 release with
patch # 19645
( http://public.activestate.com/cgi-bin/perlbrowse?patch=19645 ).

Version-Release number of selected component (if applicable):
perl-5.8.0-88.4 - perl-5.8.0-89.11

How reproducible:
100%

Steps to Reproduce:
Run the program quoted above
  
Actual results:
perl crashes with a SIGSEGV

Expected results:
The program should print 'k\n' .

Additional info:
Comment 1 Jason Vas Dias 2005-10-31 19:55:36 EST
This bug is fixed with perl-5.8.0-90.1, now submitted to RHEL-3 CVS.
Comment 5 Red Hat Bugzilla 2005-12-20 09:59:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-881.html

Note You need to log in before you can comment on or make changes to this bug.